# Interface ISubscription

Describe a subscription to the Coveo Search alerts service

## Index

### Properties

- frequency
- id
- name
- type
- typeConfig
- user

## Properties

### Optional frequency

frequency: string

Inherited from ISubscriptionRequest.frequency

- Defined in rest/Subscription.ts :69

Frequency of the alerts

### id

id: string

- Defined in rest/Subscription.ts :30

The id of the subscription

### name

name: string

Inherited from ISubscriptionRequest.name

- Defined in rest/Subscription.ts :73

The name that should be used by the API to identify this subscription

### type

type: string

Inherited from ISubscriptionRequest.type

- Defined in rest/Subscription.ts :61

Type of subscription.
Can be 'followQuery' or 'followDocument'

### typeConfig

typeConfig: ISubscriptionQueryRequest | ISubscriptionItemRequest

Inherited from ISubscriptionRequest.typeConfig

- Defined in rest/Subscription.ts :65

Config of the subscription

### user

user: ISubscriptionUser

- Defined in rest/Subscription.ts :35

The user associated with the subscription

### Hierarchy

- ISubscriptionRequest